Subject: Re: bug#45826: SBCL / Common Lisp packages fail to build on aarch64

From: Leo Famulari <[email-masked]>
Date: Mon, 1 Feb 2021 16:13:28 -0500

On Mon, Feb 01, 2021 at 09:56:05PM +0100, Ludovic Courtès wrote:
> This time I wasn’t asking about English :-), but rather about whether
> the patch Efraim provided was indeed to paper over our CI problems.

Well, that patch does indeed "paper over" the CI problems.

Christopher Baines has graciously given me access to his Overdrive 1000
(monokuma), so I am able to test building packages on bare-metal
aarch64.

I'm testing building sbcl-cambl on it now. That is the package that
spurred this bug report.

Unfortunately, the aarch64 emulation we are using on berlin does cause a
lot of failures that can't be reproduced on real hardware. We are using
QEMU, right? If so, there is a new major QEMU update available on
guix-patches, and maybe that would fix some problems:

https://bugs.gnu.org/45014

As I mentioned in that patch submission, there are some minor issues
with the update, but maybe we should just go for it.